Subject: Re: [PATCH v2] t3200: replace hardcoded null OID with $ZERO_OID

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 12 Mar 2026 07:07:26 +0100

On Wed, Mar 11, 2026 at 11:11:20PM +0530, Siddharth Shrimali wrote:
> To support the SHA-256 transition, replace the hardcoded 40-zero string
> in 'git branch --merged' with '$ZERO_OID'. The current 40-character
> string causes the test to fail prematurely in SHA-256 environments
> because Git identifies a "malformed object name" (due to the 40 vs 64
> character mismatch) before it even validates the object type.
> 
> By using '$ZERO_OID', we ensure the hash length is always correct for
> the active algorithm. Additionally, use 'test_grep' to verify the
> "must point to a commit" error message, ensuring the test validates
> the object type logic rather than just string syntax.
> 
> Suggested-by: Patrick Steinhardt <[email-masked]>

"Suggested-by" is a bit strong, as it indicates that I have suggested
to work on this in the first place. "Helped-by" would have been a bit of
a better fit.

No reason to reroll though, this patch looks good to me. Thanks!

Patrick